---
title: padding
slug: Web/CSS/padding
tags:
  - CSS
  - CSS Padding
  - CSS Property
  - Reference
  - 'recipe:css-shorthand-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>padding</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand property</a> sets the <a href="/en-US/docs/Web/CSS/CSS_Box_Model/Introduction_to_the_CSS_box_model#padding-area">padding area</a> on all four sides of an element at once.</p>

<div>{{EmbedInteractiveExample("pages/css/padding.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>An element's padding area is the space between its content and its border.</p>

<div class="note">
<p><strong>Note:</strong> Padding creates extra space within an element. In contrast, {{cssxref("margin")}} creates extra space <em>around</em> an element.</p>
</div>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
 <li>{{cssxref("padding-bottom")}}</li>
 <li>{{cssxref("padding-left")}}</li>
 <li>{{cssxref("padding-right")}}</li>
 <li>{{cssxref("padding-top")}}</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Apply to all four sides */
padding: 1em;

/* vertical | horizontal */
padding: 5% 10%;

/* top | horizontal | bottom */
padding: 1em 2em 2em;

/* top | right | bottom | left */
padding: 5px 1em 0 2em;

/* Global values */
padding: inherit;
padding: initial;
padding: unset;
</pre>

<p>The <code>padding</code> property may be specified using one, two, three, or four values. Each value is a {{cssxref("&lt;length&gt;")}} or a {{cssxref("&lt;percentage&gt;")}}. Negative values are invalid.</p>

<ul>
 <li>When <strong>one</strong> value is specified, it applies the same padding to <strong>all four sides</strong>.</li>
 <li>When <strong>two</strong> values are specified, the first padding applies to the <strong>top and bottom</strong>, the second to the <strong>left and right</strong>.</li>
 <li>When <strong>three</strong> values are specified, the first padding applies to the <strong>top</strong>, the second to the <strong>right and left</strong>, the third to the <strong>bottom</strong>.</li>
 <li>When <strong>four</strong> values are specified, the paddings apply to the <strong>top</strong>, <strong>right</strong>, <strong>bottom</strong>, and <strong>left</strong> in that order (clockwise).</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>The size of the padding as a fixed value.</dd>
 <dt>{{cssxref("&lt;percentage&gt;")}}</dt>
 <dd>The size of the padding as a percentage, relative to the <em>width</em> of the containing block.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_padding_with_pixels">Setting padding with pixels</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;h4&gt;This element has moderate padding.&lt;/h4&gt;
&lt;h3&gt;The padding is huge in this element!&lt;/h3&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">h4 {
  background-color: lime;
  padding: 20px 50px;
}

h3 {
  background-color: cyan;
  padding: 110px 50px 50px 110px;
}
</pre>

<h4 id="Result">Result</h4>

<p><span>{{EmbedLiveSample('Setting_padding_with_pixels', '100%', 300)}}</span></p>

<h3 id="Setting_padding_with_pixels_and_percentages">Setting padding with pixels and percentages</h3>

<pre class="brush: css notranslate">padding: 5%;                /* All sides: 5% padding */

padding: 10px;              /* All sides: 10px padding */

padding: 10px 20px;         /* top and bottom: 10px padding */
                            /* left and right: 20px padding */

padding: 10px 3% 20px;      /* top:            10px padding */
                            /* left and right: 3% padding   */
                            /* bottom:         20px padding */

padding: 1em 3px 30px 5px;  /* top:    1em padding  */
                            /* right:  3px padding  */
                            /* bottom: 30px padding */
                            /* left:   5px padding  */ </pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Box', '#padding-shorthand', 'padding')}}</td>
   <td>{{Spec2('CSS3 Box')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'box.html#propdef-padding', 'padding')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{Specname('CSS1', '#padding', 'padding')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.padding")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Box_Model/Introduction_to_the_CSS_box_model">Introduction to the CSS basic box model</a></li>
 <li>{{cssxref("padding-top")}}, {{cssxref("padding-right")}}, {{cssxref("padding-bottom")}}, and {{cssxref("padding-left")}}.</li>
 <li>The mapped logical properties: {{cssxref("padding-block-start")}}, {{cssxref("padding-block-end")}}, {{cssxref("padding-inline-start")}}, and {{cssxref("padding-inline-end")}} and the shorthands {{cssxref("padding-block")}} and {{cssxref("padding-inline")}}</li>
</ul>
